import request from "@/utils/request";
// 删除
export function doDeleteAdmin(accountId) {
  return request({
    url:`/manage/api/v1/account/del/${accountId}`,
    method: "get",
  });
}
// 添加-编辑管理员
export function doEditAdmin(data) {
  return request({
    url: "/manage/api/v1/account/add",
    method: "post",
    data,
  });
}
// 添加-获取管理员列表
export function doGetAdmins(data) {
  return request({
    url: "/manage/api/v1/account/page",
    method: "post",
    data,
  });
}
// 获取管理员信息
export function getInfo() {
  return request({
    url: "/manage/api/v1/account/account/info/query",
    method: "post",
  });
}

//账号列表
export function getUserlist(data) {
  return request({
    url: "/manage/api/v1/account/list",
    method: "post",
    data,
  });
}

// 管理员修改自己的信息
export function updateAdmin(data) {
  return request({
    url: "/admin/auth/updateAdmin",
    method: "post",
    data,
  });
}

// 后台管理登录
export function login(data) {
  return request({
    url: "/manage/api/v1/account/login",
    method: "post",
    data,
  });
}
// 后台管理退出登录
export function logout(params) {
  return request({
    url: "/admin/auth/doLogout",
    method: "get",
    params,
  });
}

// 获得省份列表
export function getProvince() {
  return request({
    url: "/admin/areaCode/getProvince",
    method: "get",
    params: {},
  });
}

// 获得城市列表
export function getCity(areaCodeId) {
  return request({
    url: "/admin/areaCode/getCity",
    method: "get",
    params: areaCodeId,
  });
}

// 获得区县列表
export function getArea(areaCodeId) {
  return request({
    url: "/admin/areaCode/getArea",
    method: "get",
    params: areaCodeId,
  });
}

// 获取街道列表
export function getStreet(data) {
  return request({
    url: "/admin/areaCode/getStreet",
    method: "get",
    params: areaCodeId,
  });
}
